io.undertow.client

## Class ALPNClientSelector

- java.lang.Object
- - io.undertow.client.ALPNClientSelector

    public class ALPNClientSelector
    extends Object

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `ALPNClientSelector.ALPNProtocol`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `runAlpn(org.xnio.ssl.SslConnection sslConnection, org.xnio.ChannelListener<org.xnio.ssl.SslConnection> fallback, ClientCallback<ClientConnection> failedListener, ALPNClientSelector.ALPNProtocol... details)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### runAlpn

    public static void runAlpn(org.xnio.ssl.SslConnection sslConnection,
                               org.xnio.ChannelListener<org.xnio.ssl.SslConnection> fallback,
                               ClientCallback<ClientConnection> failedListener,
                               ALPNClientSelector.ALPNProtocol... details)